problem after switch to litespeed in directadmin

Discussion in 'General' started by TakCloud, Jan 2, 2013.

  1. TakCloud

    TakCloud New Member

    hi
    im install litespeed and build php
    after switch from apache to litespeed my website this error
    :
    Warning: date() [function.date]: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'America/New_York' for 'EST/-5.0/no DST' instead in /home/mani/domains/manichat.ir/public_html/class/Index.class.php on line 64

    how fix this problem?
  2. NiteWave

    NiteWave Administrator

    have you built matching php ?

    run
    /usr/local/lsws/fcgi-bin/lsphp5 -i |grep "Loaded Configuration File",
    check if no php.ini loaded.
  3. webizen

    webizen New Member

    the issue (warning) indicates that you do not have date.timezone defined in php.ini. to find out which php.ini is used, run the command as NiteWave suggested.
  4. TakCloud

    TakCloud New Member

    I do not understand what you mean
    What should be done to resolve this problem?
  5. webizen

    webizen New Member

    your php.ini does not have date.timezone defined. That's the cause of the warning. To solve that:
    1. find the php.ini in use by LSWS
    use command suggested by NiteWave to locate the file
    2. edit the php.ini found in 1
    add line "date.timezone=America/New_York" and restart LSWS to pick it up.

Share This Page